GNU bug report logs - #21523
25.0.50; Undo with active region adds extra text

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Drew Adams <drew.adams@HIDDEN>; Keywords: confirmed; dated Sun, 20 Sep 2015 07:42:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 21523 <at> debbugs.gnu.org:


Received: (at 21523) by debbugs.gnu.org; 18 Aug 2021 13:31:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 18 09:31:55 2021
Received: from localhost ([127.0.0.1]:55257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mGLff-0006aY-3u
	for submit <at> debbugs.gnu.org; Wed, 18 Aug 2021 09:31:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mGLfa-0006aJ-T8
 for 21523 <at> debbugs.gnu.org; Wed, 18 Aug 2021 09:31:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=11dV7esFL5MCW0Fdfls12W/zdXeZRTmzNPkZ3TjrsDQ=; b=ah8na6z6HlrotoZvIOHgda3xei
 5ssW8WKSixlOQWwBybF6LIx9AcHc1VvOSI5ZZvUvkQPfglDM0aODA9Kp7eK/pudl8HGehUvk3jWFS
 /NqPlaHSoJCd/Kx4Rgp8h4KnnMWvz3Oas0JzARddFLCb6k8wESEz6Osk5ukat6eUGzzE=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mGLfN-0000OI-L4; Wed, 18 Aug 2021 15:31:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21523: 25.0.50; Undo with active region adds extra text
References: <48592862-1630-4c61-aeed-1e3b720824de@default>
 <87czqdd0ng.fsf@HIDDEN> <83eeat8rd5.fsf@HIDDEN>
 <874kbpa424.fsf@HIDDEN> <831r6t8i8i.fsf@HIDDEN>
Date: Wed, 18 Aug 2021 15:31:36 +0200
In-Reply-To: <831r6t8i8i.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 16 Aug
 2021 19:30:37 +0300")
Message-ID: <878s0ydglj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Is signaling an error
 okay? Yup. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21523
Cc: 21523 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> Is signaling an error okay?

Yup.

> Because then it looks like an off-by-one
> error somewhere -- the following slightly modified recipe works as
> expected:
>
>   emacs -Q
>   C-u 23 M-g c ; go to "text"
>   M-c
>   C-f          ; the crucial difference!
>   C-SPC
>   C-e
>   C-/
>     => user-error: No further undo information for region
>
> So the problem seems to be that in the original recipe the region
> starts immediately after the end of the modified portion of text.

Yup; I'm seeing the same thing, so this does indeed look like a
off-by-one error.  And...  it's in `undo-elt-in-region', I think, called
by (basically) (undo-make-selective-list (mark) (point)).

There's basically no test cases for this function, I think?

Actually, the problem seems to be in undo-adjust-elt, which was
rewritten in 2014 to fix bug#17235.

I've now added a test case (commented out), but I don't quite understand
the logic in undo-adjust-elt...  anybody see something obviously wrong?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21523; Package emacs. Full text available.

Message received at 21523 <at> debbugs.gnu.org:


Received: (at 21523) by debbugs.gnu.org; 16 Aug 2021 16:30:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 16 12:30:55 2021
Received: from localhost ([127.0.0.1]:50823 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mFfVn-0008W2-FB
	for submit <at> debbugs.gnu.org; Mon, 16 Aug 2021 12:30:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46722)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mFfVl-0008Vn-F2
 for 21523 <at> debbugs.gnu.org; Mon, 16 Aug 2021 12:30:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53574)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mFfVf-0008Bb-Ek; Mon, 16 Aug 2021 12:30:47 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3680
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mFfVb-0001qr-Tx; Mon, 16 Aug 2021 12:30:47 -0400
Date: Mon, 16 Aug 2021 19:30:37 +0300
Message-Id: <831r6t8i8i.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <874kbpa424.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 16 Aug 2021 15:53:55 +0200)
Subject: Re: bug#21523: 25.0.50; Undo with active region adds extra text
References: <48592862-1630-4c61-aeed-1e3b720824de@default>
 <87czqdd0ng.fsf@HIDDEN> <83eeat8rd5.fsf@HIDDEN> <874kbpa424.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21523
Cc: 21523 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: drew.adams@HIDDEN,  21523 <at> debbugs.gnu.org
> Date: Mon, 16 Aug 2021 15:53:55 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> This bug is still present in Emacs 28.
> >
> > Why is it a bug?  What is the expected "non-buggy" behavior in this
> > case?
> 
> I'd expect it to either do nothing (since we're undoing in a region, and
> the changed text is outside the region), or change the "This" to
> "this".  Leaving "Thisthis" in the buffer has to be a bug no matter how
> you look at it.

Is signaling an error okay?  Because then it looks like an off-by-one
error somewhere -- the following slightly modified recipe works as
expected:

  emacs -Q
  C-u 23 M-g c ; go to "text"
  M-c
  C-f          ; the crucial difference!
  C-SPC
  C-e
  C-/
    => user-error: No further undo information for region

So the problem seems to be that in the original recipe the region
starts immediately after the end of the modified portion of text.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21523; Package emacs. Full text available.

Message received at 21523 <at> debbugs.gnu.org:


Received: (at 21523) by debbugs.gnu.org; 16 Aug 2021 13:54:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 16 09:54:08 2021
Received: from localhost ([127.0.0.1]:49040 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mFd44-00040C-Jl
	for submit <at> debbugs.gnu.org; Mon, 16 Aug 2021 09:54:08 -0400
Received: from quimby.gnus.org ([95.216.78.240]:44596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mFd42-0003zj-T4
 for 21523 <at> debbugs.gnu.org; Mon, 16 Aug 2021 09:54:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2GxERbnD9fQPEHt/scA0ZOWWweafW47iFGNNzb38l7I=; b=H3t9i1bxYqAvG2teuJnlS40HWD
 4xb5sTPypp/UGUMCIY2mQ4hbCGS6JDZZnX78quN2k4RqiPl8YuT9RPc3xG1MoL7JO4BYClwDxbzJH
 eh+4fq48TDr65m5rri3O//i1Uh5QgGiYSwNX/CU0nV9p7hOjAUlYL41b13N2QMrz2ruc=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mFd3r-0005TQ-Vh; Mon, 16 Aug 2021 15:54:00 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#21523: 25.0.50; Undo with active region adds extra text
References: <48592862-1630-4c61-aeed-1e3b720824de@default>
 <87czqdd0ng.fsf@HIDDEN> <83eeat8rd5.fsf@HIDDEN>
Date: Mon, 16 Aug 2021 15:53:55 +0200
In-Reply-To: <83eeat8rd5.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 16 Aug
 2021 16:13:26 +0300")
Message-ID: <874kbpa424.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> This bug is still
 present in Emacs 28. > > Why is it a bug? What is the expected "non-buggy"
 behavior in this > case? I'd expect it to either do nothing (since we're
 undoing in a region, and the changed text is outside the region), or change
 the "This" to "this". Leaving "Thisthis" in the buffer has to be a bug no
 ma [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21523
Cc: 21523 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> This bug is still present in Emacs 28.
>
> Why is it a bug?  What is the expected "non-buggy" behavior in this
> case?

I'd expect it to either do nothing (since we're undoing in a region, and
the changed text is outside the region), or change the "This" to
"this".  Leaving "Thisthis" in the buffer has to be a bug no matter how
you look at it.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21523; Package emacs. Full text available.

Message received at 21523 <at> debbugs.gnu.org:


Received: (at 21523) by debbugs.gnu.org; 16 Aug 2021 13:13:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 16 09:13:46 2021
Received: from localhost ([127.0.0.1]:48967 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mFcQw-0004yX-I4
	for submit <at> debbugs.gnu.org; Mon, 16 Aug 2021 09:13:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58000)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mFcQr-0004yI-53
 for 21523 <at> debbugs.gnu.org; Mon, 16 Aug 2021 09:13:41 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47544)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1mFcQl-0007t9-FF; Mon, 16 Aug 2021 09:13:31 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3516
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mFcQl-0003uk-1y; Mon, 16 Aug 2021 09:13:31 -0400
Date: Mon, 16 Aug 2021 16:13:26 +0300
Message-Id: <83eeat8rd5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87czqdd0ng.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 16 Aug 2021 14:39:15 +0200)
Subject: Re: bug#21523: 25.0.50; Undo with active region adds extra text
References: <48592862-1630-4c61-aeed-1e3b720824de@default>
 <87czqdd0ng.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 21523
Cc: 21523 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Mon, 16 Aug 2021 14:39:15 +0200
> Cc: 21523 <at> debbugs.gnu.org
> 
> Drew Adams <drew.adams@HIDDEN> writes:
> 
> > The Subject line is not very clear.  Here is a recipe.  You decide
> > whether the behavior is correct or a bug.  FWIW, this behavior is at
> > least as old as Emacs 20 (with transient-mark-mode on).
> >
> > emacs -Q
> >
> > In buffer *scratch*, put point before "that" on the last line.
> > `M-c', to capitalize "That".
> > `C-SPC C-e', to select the text after "That", up to eol.
> > (The region does not contain the word "That".)
> >
> > `C-_' to undo the last change within the region.
> > The word "that" is inserted, giving this:
> >
> > ;; then enter the text in Thatthat file=A1=AFs own buffer.
> 
> This bug is still present in Emacs 28.

Why is it a bug?  What is the expected "non-buggy" behavior in this
case?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21523; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 21523 <at> debbugs.gnu.org:


Received: (at 21523) by debbugs.gnu.org; 16 Aug 2021 12:39:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 16 08:39:35 2021
Received: from localhost ([127.0.0.1]:48866 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mFbtu-0008CZ-Ly
	for submit <at> debbugs.gnu.org; Mon, 16 Aug 2021 08:39:35 -0400
Received: from quimby.gnus.org ([95.216.78.240]:43376)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mFbtm-0008Bt-Cg
 for 21523 <at> debbugs.gnu.org; Mon, 16 Aug 2021 08:39:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=UENnNHOcBo9HHGdY6od36QK7E6Stwy4tVPcPonf/Y2M=; b=W3uZCGZYZ0IMxnfn05SEHiuD6W
 938h4YTfetHJHK4zCOM3nsQE85k+6Ok7OI3rDzkL17scQLNjRfsUledXRklBA+vN/l40dCVeyt7aO
 7c3XyQEHSefupFwLCjHdsIOTbBTYWwuMLkdc1nweYQGjs8Umk69nxwdhAW1cM1gW3mls=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mFbtb-0004pv-Te; Mon, 16 Aug 2021 14:39:19 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#21523: 25.0.50; Undo with active region adds extra text
References: <48592862-1630-4c61-aeed-1e3b720824de@default>
Date: Mon, 16 Aug 2021 14:39:15 +0200
In-Reply-To: <48592862-1630-4c61-aeed-1e3b720824de@default> (Drew Adams's
 message of "Sun, 20 Sep 2015 00:34:06 -0700 (PDT)")
Message-ID: <87czqdd0ng.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Drew Adams <drew.adams@HIDDEN> writes: > The Subject line
 is not very clear. Here is a recipe. You decide > whether the behavior is
 correct or a bug. FWIW, this behavior is at > least as old as Emacs 20 (with
 transient-mark-mode on). > > e [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 21523
Cc: 21523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Drew Adams <drew.adams@HIDDEN> writes:

> The Subject line is not very clear.  Here is a recipe.  You decide
> whether the behavior is correct or a bug.  FWIW, this behavior is at
> least as old as Emacs 20 (with transient-mark-mode on).
>
> emacs -Q
>
> In buffer *scratch*, put point before "that" on the last line.
> `M-c', to capitalize "That".
> `C-SPC C-e', to select the text after "That", up to eol.
> (The region does not contain the word "That".)
>
> `C-_' to undo the last change within the region.
> The word "that" is inserted, giving this:
>
> ;; then enter the text in Thatthat file=A1=AFs own buffer.

This bug is still present in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21523; Package emacs. Full text available.

Message received at 21523 <at> debbugs.gnu.org:


Received: (at 21523) by debbugs.gnu.org; 20 Sep 2015 19:43:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 20 15:43:17 2015
Received: from localhost ([127.0.0.1]:39155 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZdkW5-0002CI-E8
	for submit <at> debbugs.gnu.org; Sun, 20 Sep 2015 15:43:17 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:48026)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1ZdkW3-0002C5-7n
 for 21523 <at> debbugs.gnu.org; Sun, 20 Sep 2015 15:43:15 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0A7FgA731xV/2yixEVcgxCEAoVVwD6CTQQCAoE8PBEBAQEBAQEBgQpBBYNdAQEDAVYjBQsLDiYSFBgNJIg3CM8jAQEBAQEBBAEBAQEeizqFBQeELQWzP4FFI4Fmgi4igngBAQE
X-IPAS-Result: A0A7FgA731xV/2yixEVcgxCEAoVVwD6CTQQCAoE8PBEBAQEBAQEBgQpBBYNdAQEDAVYjBQsLDiYSFBgNJIg3CM8jAQEBAQEBBAEBAQEeizqFBQeELQWzP4FFI4Fmgi4igngBAQE
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="165380230"
Received: from 69-196-162-108.dsl.teksavvy.com (HELO ceviche.home)
 ([69.196.162.108])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 20 Sep 2015 15:43:14 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id 3F59E6614D; Sun, 20 Sep 2015 15:43:14 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#21523: 25.0.50; Undo with active region adds extra text
Message-ID: <jwvoagwop1o.fsf-monnier+emacsbugs@HIDDEN>
References: <48592862-1630-4c61-aeed-1e3b720824de@default>
 <jwvwpvlqkh0.fsf-monnier+emacsbugs@HIDDEN>
 <E1ZdjJz-0000AO-69@HIDDEN>
Date: Sun, 20 Sep 2015 15:43:14 -0400
In-Reply-To: <E1ZdjJz-0000AO-69@HIDDEN> (Richard Stallman's message
 of "Sun, 20 Sep 2015 14:26:43 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 21523
Cc: 21523 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> Or maybe the "undo-in-region" should only ever undo complete steps
>> (i.e. everything between two undo boundaries), so if any part of an undo
>> step affects text outside of the region, then the whole step is skipped.

> The undo commands are supposed to undo a complete change
> as one unit.  If in this case it fails to do that, that would seem
> to be a bug, right?

Yes, that's what I was also trying to say.  I think that'd be the
better fix.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21523; Package emacs. Full text available.

Message received at 21523 <at> debbugs.gnu.org:


Received: (at 21523) by debbugs.gnu.org; 20 Sep 2015 18:31:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 20 14:31:50 2015
Received: from localhost ([127.0.0.1]:39095 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZdjOw-0000W1-3a
	for submit <at> debbugs.gnu.org; Sun, 20 Sep 2015 14:31:50 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52584)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rms@HIDDEN>) id 1ZdjOu-0000Vt-74
 for 21523 <at> debbugs.gnu.org; Sun, 20 Sep 2015 14:31:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <rms@HIDDEN>) id 1ZdjOt-0006O3-A7
 for 21523 <at> debbugs.gnu.org; Sun, 20 Sep 2015 14:31:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,T_RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:50529)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <rms@HIDDEN>)
 id 1ZdjJz-0003xN-Pw; Sun, 20 Sep 2015 14:26:43 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1ZdjJz-0000AO-69; Sun, 20 Sep 2015 14:26:43 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
In-reply-to: <jwvwpvlqkh0.fsf-monnier+emacsbugs@HIDDEN> (message from Stefan
 Monnier on Sun, 20 Sep 2015 11:14:29 -0400)
Subject: Re: bug#21523: 25.0.50; Undo with active region adds extra text
References: <48592862-1630-4c61-aeed-1e3b720824de@default>
 <jwvwpvlqkh0.fsf-monnier+emacsbugs@HIDDEN>
Message-Id: <E1ZdjJz-0000AO-69@HIDDEN>
Date: Sun, 20 Sep 2015 14:26:43 -0400
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 21523
Cc: 21523 <at> debbugs.gnu.org, drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: rms@HIDDEN
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Or maybe the "undo-in-region" should only ever undo complete steps
  > (i.e. everything between two undo boundaries), so if any part of an undo
  > step affects text outside of the region, then the whole step is skipped.

The undo commands are supposed to undo a complete change
as one unit.  If in this case it fails to do that, that would seem
to be a bug, right?

-- 
Dr Richard Stallman
President, Free Software Foundation (gnu.org, fsf.org)
Internet Hall-of-Famer (internethalloffame.org)
Skype: No way! See stallman.org/skype.html.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21523; Package emacs. Full text available.

Message received at 21523 <at> debbugs.gnu.org:


Received: (at 21523) by debbugs.gnu.org; 20 Sep 2015 15:14:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 20 11:14:38 2015
Received: from localhost ([127.0.0.1]:38882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZdgK5-0002ew-O0
	for submit <at> debbugs.gnu.org; Sun, 20 Sep 2015 11:14:37 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:25046)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1ZdgK3-0002eo-Uu
 for 21523 <at> debbugs.gnu.org; Sun, 20 Sep 2015 11:14:36 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0BCFgA731xV/2yixEVcgxCEAoVVwD6CTQQCAoE8PRABAQEBAQEBgQpBBYNdAQEEViMQCzQSFBgNJIg/zyMBAQEBAQUCAR+LOoUFB4QtBbM/gUUjhBQigngBAQE
X-IPAS-Result: A0BCFgA731xV/2yixEVcgxCEAoVVwD6CTQQCAoE8PRABAQEBAQEBgQpBBYNdAQEEViMQCzQSFBgNJIg/zyMBAQEBAQUCAR+LOoUFB4QtBbM/gUUjhBQigngBAQE
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="165370094"
Received: from 69-196-162-108.dsl.teksavvy.com (HELO ceviche.home)
 ([69.196.162.108])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 20 Sep 2015 11:14:35 -0400
Received: by ceviche.home (Postfix, from userid 20848)
 id DEAD56614D; Sun, 20 Sep 2015 11:14:29 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#21523: 25.0.50; Undo with active region adds extra text
Message-ID: <jwvwpvlqkh0.fsf-monnier+emacsbugs@HIDDEN>
References: <48592862-1630-4c61-aeed-1e3b720824de@default>
Date: Sun, 20 Sep 2015 11:14:29 -0400
In-Reply-To: <48592862-1630-4c61-aeed-1e3b720824de@default> (Drew Adams's
 message of "Sun, 20 Sep 2015 00:34:06 -0700 (PDT)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 21523
Cc: 21523 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> `C-_' to undo the last change within the region.
> The word "that" is inserted, giving this:
>   ;; then enter the text in Thatthat file's own buffer.
> This seems disconcerting, at least.  (Same behavior for `M-u' etc.)

Indeed, that's wrong.  I haven't looked in detail of why this happens,
but I can guess that it's because the previous change is represented as
"insert That" and "remove that", and when we undo them, the exact
location of "remove that" ends up right at the region boundary, making
it unclear whether it should be considered as "inside" or "outside".

Not sure how best to fix it.  Maybe such replacements should have
a special status in the undo-list, so they aren't considered as
two independent changes (remove+insert) but as a single one.

Or maybe the "undo-in-region" should only ever undo complete steps
(i.e. everything between two undo boundaries), so if any part of an undo
step affects text outside of the region, then the whole step is skipped.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#21523; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Sep 2015 07:41:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 20 03:41:01 2015
Received: from localhost ([127.0.0.1]:38065 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ZdZF6-0007Uh-UZ
	for submit <at> debbugs.gnu.org; Sun, 20 Sep 2015 03:41:01 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57412)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <drew.adams@HIDDEN>) id 1ZdZF3-0007UT-Lz
 for submit <at> debbugs.gnu.org; Sun, 20 Sep 2015 03:40:58 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1ZdZEy-0002bd-Au
 for submit <at> debbugs.gnu.org; Sun, 20 Sep 2015 03:40:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37447)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1ZdZEy-0002b1-8g
 for submit <at> debbugs.gnu.org; Sun, 20 Sep 2015 03:40:52 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38215)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1ZdZ8f-0006Zm-AK
 for bug-gnu-emacs@HIDDEN; Sun, 20 Sep 2015 03:34:22 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1ZdZ8a-0008BC-7C
 for bug-gnu-emacs@HIDDEN; Sun, 20 Sep 2015 03:34:21 -0400
Received: from userp1040.oracle.com ([156.151.31.81]:45415)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1ZdZ8Z-0008B8-Uo
 for bug-gnu-emacs@HIDDEN; Sun, 20 Sep 2015 03:34:16 -0400
Received: from userv0022.oracle.com (userv0022.oracle.com [156.151.31.74])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 t8K7YF4r013111
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Sun, 20 Sep 2015 07:34:15 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userv0022.oracle.com (8.13.8/8.13.8) with ESMTP id t8K7YEI7032074
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL)
 for <bug-gnu-emacs@HIDDEN>; Sun, 20 Sep 2015 07:34:15 GMT
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by aserv0122.oracle.com (8.13.8/8.13.8) with ESMTP id t8K7YEKH006562
 for <bug-gnu-emacs@HIDDEN>; Sun, 20 Sep 2015 07:34:14 GMT
MIME-Version: 1.0
Message-ID: <48592862-1630-4c61-aeed-1e3b720824de@default>
Date: Sun, 20 Sep 2015 00:34:06 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.50; Undo with active region adds extra text
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6691.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0022.oracle.com [156.151.31.74]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

The Subject line is not very clear.  Here is a recipe.  You decide
whether the behavior is correct or a bug.  FWIW, this behavior is at
least as old as Emacs 20 (with transient-mark-mode on).

emacs -Q

In buffer *scratch*, put point before "that" on the last line.
`M-c', to capitalize "That".
`C-SPC C-e', to select the text after "That", up to eol.
(The region does not contain the word "That".)

`C-_' to undo the last change within the region.
The word "that" is inserted, giving this:

;; then enter the text in Thatthat file=3DA1=3DAFs own buffer.

This seems disconcerting, at least.  (Same behavior for `M-u' etc.)

(I can see the explanation of why this happens coming as a reply.  As I
say, you can decide whether this behavior is OK as is.)


In GNU Emacs 25.0.50.1 (i686-pc-mingw32)
 of 2015-09-05
Bzr revision: 2330ca33a97867f2ea1123bcf7bfe5cfcc030b36
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --host=3D3Di686-pc-mingw32 --enable-checking=3D3Dyes,glyphs'




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#21523; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Aug 2021 13:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.